<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
require_once('class/class.zip.php');
require_once('class/class.archive.php');

// valeurs par défaut
if(!$plxPlugin->getParam('savedir')) { $plxPlugin->setParam('savedir', '../../backup/', 'string'); }
if(!$plxPlugin->getParam('days')) { $plxPlugin->setParam('days', '0', 'numeric'); }


$archive = new archive($plxPlugin->getParam('savedir'),$plxPlugin->getParam('days'),$plxPlugin->getParam('saved_dirs'));
$archive->check();

if(!empty($_POST)) {

	$_POST['savedir'] = '../../'.$_POST['savedir'].'/';

	$plxPlugin->setParam('savedir', $_POST['savedir'], 'string');
	$plxPlugin->setParam('days', $_POST['days'], 'numeric');

	$dirs = implode(',',$_POST['data']);
	$plxPlugin->setParam('saved_dirs', $dirs, 'string');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=BackUpAll');
	exit;

} 

if($_GET['action'] == 'zip') {
		$archive->zip();
		plxMsg::Info('Archive a été crée avec succès');
}



if(isset($_GET['f']) && file_exists($plxPlugin->getParam('savedir').plxEncrypt::decryptId($_GET['f'])))
{
	ob_start();
	header('Expires: 0');
	header('Cache-Control: private');
	header('Pragma: cache');
	header('Content-Disposition: attachment; filename="'.plxEncrypt::decryptId($_GET['f']).'"');
	header('Content-type: application/x-zip-compressed');
	ob_end_clean();
	readfile($plxPlugin->getParam('savedir').plxEncrypt::decryptId($_GET['f']));
}

if(isset($_GET['d']) && file_exists($plxPlugin->getParam('savedir').plxEncrypt::decryptId($_GET['d'])))
{
	unlink($plxPlugin->getParam('savedir').plxEncrypt::decryptId($_GET['d']));
	plxMsg::Info('Le fichier '.plxEncrypt::decryptId($_GET['d']).' a bien été supprimé'); 
}
?>

<style>
	input, textarea {border-radius: 5px;width: 40%}
	input.numeric{width: 100px}
	textarea {min-height: 50px}
	label{font-style: italic}
	td>input{width: 100%}
	a.bt{padding:10px 25px;border:2px solid #616161;border-radius:4px;color:#616161;text-decoration: none;}
</style>

<!-- navigation sur la page configuration du plugin -->
<h2>Configuration et sauvegarde de vos dossiers data, themes, plugins</h2>


	<nav id="tabby-1" class="tabby-tabs" data-for="example-tab-content">
		<ul>
			<li><a data-target="tab1" class="active" href="#">Archives</a></li>
			<li><a data-target="tab2" href="#">Créer Archive</a></li>
			<li><a data-target="tab3" href="#">Configuration</a></li>
		</ul>
	</nav> 

<div class="tabby-content" id="example-tab-content">



<div data-tab="tab1">	

<h3>Archives disponibles sur votre serveur</h3>


		<?php 
			$link = array('/','.');

			$dir_sauvegarde = str_replace($link, "", plxUtils::strCheck($plxPlugin->getParam('savedir')));

			if (empty($dir_sauvegarde)) { echo "Pense à créer votre dossier de sauvegarde dans l'onglet CONFIGURATION"; }else{ $archive->displaylist(); }

			
		?>

	<p>
		Pensez à sauvegarder les archives sur votre disque dur et à effacer régulièrement les fichiers sur votre hébergeur.
	</p>
		
</div>

<div data-tab="tab2">

	

	<h3>Sauvegarde</h3>

	<p>
		Réaliser la sauvegarde de vos dossiers data, themes, plugins
	</p>

		<p>
			<a class="bt" href="parametres_plugin.php?p=BackUpAll&action=zip" title="<?php $plxPlugin->lang('L_ARCHIVE_CONFIG') ?>">Créer l'archive ?</a>
		</p>

</div>

<div data-tab="tab3">

	<h3>Options de configuration et sauvegarde en automatique</h3>

	<form action="parametres_plugin.php?p=BackUpAll" method="post" class="formulaire">
		<fieldset>

		<?php

			$link = array('/','.');
			$dir_sauvegarde = str_replace($link, "", plxUtils::strCheck($plxPlugin->getParam('savedir')));

		 ?>

			<p>
				<label><?php $plxPlugin->lang('L_SAVEDIR_CONFIG') ?></label> 
				<input type="text" name="savedir" value="<?php echo $dir_sauvegarde; ?>">
			</p>

			<p>Pour des raisons de sécurité, pensez à renommer le dossier de sauvegarde de vos archives</p>
			
			<p>
				<label><?php $plxPlugin->lang('L_DAY_CONFIG') ?></label> 
				<input type="text" name="days" value="<?php echo plxUtils::strCheck($plxPlugin->getParam('days')) ?>">
			</p>

			<p>Nombre de jours pour relancer la sauvegarde en automatique, <br> si la valeur est 0, il n'y a pas de sauvegarde en automatique.</p>
			

			<p class="in-action-bar">
				<?php echo plxToken::getTokenPostMethod() ?>
				<input type="submit" name="submit" value="Valider">
			</p>


		</fieldset>
	</form>

</div>

<script src="http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="<?php echo PLX_PLUGINS ?>BackUpAll/app/jquery.tabby.js"></script>
<script>
    $(document).ready(function(){
        $('#tabby-1').tabby();
    });
</script>	
